#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct Globals
{
    float4x4 uProj;
    float4 uColor;
};

struct main0_out
{
    float4 gl_Position [[position]];
};

struct main0_in
{
    float2 aPos [[attribute(0)]];
};

vertex main0_out main0(main0_in in [[stage_in]], constant Globals& _19 [[buffer(0)]])
{
    main0_out out = {};
    out.gl_Position = _19.uProj * float4(in.aPos, 0.0, 1.0);
    out.gl_Position.z = (out.gl_Position.z + out.gl_Position.w) * 0.5;
    return out;
}

